Contents

# RGB Function

Returns a Long integer color value consisting of red, green, and blue components.

### Syntax:

    RGB (Red, Green, Blue)

### Return type:

Long

### Parameters:

red: Any integer expression that represents the red component (0-255) of the composite color.

green: Any integer expression that represents the green component (0-255) of the composite color.

blue: Any integer expression that represents the blue component (0-255) of the composite color.

The resulting Long value is calculated with the following formula:
Result = red×65536 + green×256 + blue.

Under VBA compatibility mode (Option VBASupport 1), the Long value is calculated as
Result = red + green×256 + blue×65536
See RGB Function [VBA]

The color picker dialog helps computing red, green and blue components of a composite color. Changing the color of text and selecting Custom color displays the color picker dialog.

### Error codes:

5 ការ​ហៅ​បែបបទ​មិន​ត្រឹមត្រូវ

### Example:

    Sub ExampleColor
    Dim lVar As Long
        lVar = rgb(128,0,200)
        MsgBox "The color " & lVar & " consists of:" & Chr(13) &_
            "red= " &  Red(lVar) & Chr(13)&_
            "green= " &  Green(lVar) & Chr(13)&_
            "blue= " &  Blue(lVar) & Chr(13) , 64,"colors"
    End Sub

Please support us!